curl --request GET \
--url https://catchall.newscatcherapi.com/catchAll/entities/{entity_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://catchall.newscatcherapi.com/catchAll/entities/{entity_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://catchall.newscatcherapi.com/catchAll/entities/{entity_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "854198fa-f702-49db-a381-0427fa87f173",
"entity_type": "company",
"organization_id": "e5d9e9b0-e415-4941-8ef0-916c5ee56207",
"name": "NewsCatcher",
"description": "NewsCatcher is a data-as-a-service company providing news intelligence APIs including the CatchAll Web Search API (2B+ web pages indexed) and News API (140,000+ sources, 100+ countries).",
"external_entity_id": "crm-12345",
"additional_attributes": {
"company_attributes": {
"domain": "newscatcherapi.com",
"key_persons": [
"Artem Bugara",
"Maksym Sugonyaka"
],
"alternative_names": [
"NewsCatcher CatchAll",
"NewsCatcher API"
]
}
},
"status": "ready",
"created_by_user_id": "870e258e-12ec-4a47-8656-e7a43b0265b3",
"created_at": "2026-04-08T15:21:17.272139",
"updated_at": "2026-04-08T15:21:18.248316"
}{
"detail": "X-API-Key header is required for this endpoint"
}{
"detail": "Invalid API key"
}{
"detail": "Invalid API key"
}Get entity
Returns a single entity by ID with all attributes and current status.
Authorizations
API key for authentication.
Path Parameters
Unique entity identifier.
Response
Full entity object with all attributes and metadata.
Unique identifier of the entity.
"854198fa-f702-49db-a381-0427fa87f173"
The type of entity.
company: A company or organization (default).person: An individual person.
company, person Organization that owns this entity.
"e5d9e9b0-e415-4941-8ef0-916c5ee56207"
Entity name.
"NewsCatcher"
Processing status of an entity.
pending: Entity has been created and is queued for enrichment.enriching: Enrichment is in progress.ready: Enrichment complete — entity is indexed and ready for use in jobs.failed: Enrichment failed. The entity may still be used but matching quality may be reduced.
pending, enriching, ready, failed Free-text description.
"NewsCatcher is a data-as-a-service company providing news intelligence APIs including the CatchAll Web Search API (2B+ web pages indexed) and News API (140,000+ sources, 100+ countries)."
External identifier for this entity. Null when not set.
"crm-12345"
Additional attributes for the entity, keyed by entity type.
Show child attributes
Show child attributes
ID of the user who created this entity.
"870e258e-12ec-4a47-8656-e7a43b0265b3"
ISO 8601 timestamp of when the entity was created. Returned without timezone offset (server-local time).
"2026-04-08T15:21:17.272139"
ISO 8601 timestamp of when the entity was last updated. Returned without timezone offset (server-local time).
"2026-04-08T15:21:18.248316"
Was this page helpful?

